INTERFACE
 subroutine hlprevap (&
 & khor, klev, kstep,&
 & kstart, kstop, pdtime,&
 & ptotcov, pomf, pdpf,&
 & pfrland, pahyb, pbhyb,&
 & pqampli,&
 & klabcv, klab,&
 & pzbu, pzpreta, pzdraindt,&
 & pzdsnowdt, pzprcu, pzprst,&
 & pzcusno, pzstsno, pzpcoef,&
 & pzmr, pzdcusn, pzdstsn,&
 & pzpsp, pzldcp, pzbuca,&
 & pzqp, pztp, pzcwp,&
 & pzcicep, pzqsat, pzdqsdt,&
 & ppresur,&
 & pfplcl, pfplcn,&
 & pfplsl, pfplsn, pfccql,&
 & pfccqn, pfcsql, pfcsqn ) 
use parkind1 ,only : jpim ,jprb
integer(kind=jpim), intent(in) :: khor
integer(kind=jpim), intent(in) :: klev
integer(kind=jpim), intent(in) :: kstep
integer(kind=jpim), intent(in) :: kstart
integer(kind=jpim), intent(in) :: kstop
real(kind=jprb) , intent(in) :: pdtime
real(kind=jprb) , intent(in) :: pahyb(khor,klev+1)
real(kind=jprb) , intent(in) :: pbhyb(khor,klev+1)
real(kind=jprb) , intent(in) :: pdpf(khor,klev)
integer(kind=jpim), intent(in) :: klabcv(khor,klev)
integer(kind=jpim), intent(in) :: klab(khor,klev)
real(kind=jprb) , intent(in) :: ptotcov(khor,klev)
real(kind=jprb) , intent(in) :: pqampli(khor,klev)
real(kind=jprb) , intent(in) :: pfrland(khor)
real(kind=jprb) , intent(in) :: pomf(khor,klev)
real(kind=jprb) , intent(in) :: pzbu(khor,klev)
real(kind=jprb) , intent(inout) :: pzpreta(khor,klev)
real(kind=jprb) , intent(inout) :: pzdraindt(khor)
real(kind=jprb) , intent(inout) :: pzdsnowdt(khor)
real(kind=jprb) , intent(inout) :: pzprcu(khor)
real(kind=jprb) , intent(inout) :: pzprst(khor)
real(kind=jprb) , intent(inout) :: pzcusno(khor)
real(kind=jprb) , intent(inout) :: pzstsno(khor)
real(kind=jprb) , intent(inout) :: pzpcoef(khor)
real(kind=jprb) , intent(inout) :: pzmr(khor)
real(kind=jprb) , intent(inout) :: pzdcusn(khor)
real(kind=jprb) , intent(inout) :: pzdstsn(khor)
real(kind=jprb) , intent(in) :: pzpsp(khor)
real(kind=jprb) , intent(inout) :: pzldcp(khor,klev)
real(kind=jprb) , intent(inout) :: pzbuca(khor,klev)
real(kind=jprb) , intent(inout) :: pzqp(khor,klev)
real(kind=jprb) , intent(inout) :: pztp(khor,klev)
real(kind=jprb) , intent(inout) :: pzcwp(khor,klev)
real(kind=jprb) , intent(inout) :: pzcicep(khor,klev)
real(kind=jprb) , intent(inout) :: pzqsat(khor,klev)
real(kind=jprb) , intent(inout) :: pzdqsdt(khor)
real(kind=jprb) , intent(inout) :: ppresur(klev)
real(kind=jprb) , intent(inout) :: pfplcl(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfplcn(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfplsl(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfplsn(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfccql(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfccqn(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfcsql(khor,0:klev)
real(kind=jprb) , intent(inout) :: pfcsqn(khor,0:klev)
end subroutine hlprevap
END INTERFACE
